subroutine lured(a,n,nr)
! routine to perform gaussian elimination
! forms a pair with reslv.  
  use precision
  implicit none
  integer nm1,n,nr,i,ip1,k,j
  real(long) :: a(nr,nr),fact
  do i=1,n-1
    do k=i+1,n
! fact is l_{ki} in the LU-decomposition
! We could store it in a(k,i) and adjust reslv accordingly.
! We would then have a LU-decomposition routine without pivoting
      fact=a(k,i)/a (i,i)
      do j=i+1,n
        a(k,j)=a(k,j)-a(i,j)*fact
      enddo
    enddo
  enddo
  return
end

